package net.sergeych.synctools

import kotlin.test.Test
import kotlin.test.assertEquals

class AtomicCounterTest {
    @Test
    fun incrementAndDecrement() {
        val ac = AtomicCounter(7)
        assertEquals(7, ac.getAndIncrement())
        assertEquals(8, ac.value)
        assertEquals(9, ac.incrementAndGet())
        assertEquals(9, ac.value)

        assertEquals(9, ac.getAndDecrement())
        assertEquals(8, ac.value)
        assertEquals(7, ac.decrementAndGet())
        assertEquals(7, ac.value)
    }
}